View Issue Details

IDProjectCategoryView StatusLast Update
0019268PatchesLCLpublic2011-10-03 14:09
ReporterAvishai Assigned ToJuha Manninen  
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
Product Version0.9.31 (SVN) 
Summary0019268: Patch to add BiDiMode and ParentBiDiMode properties to 5 components.
DescriptionPatch to add BiDiMode and ParentBiDiMode properties to 5 components on the "Misc" tab. Also effects the Button location. If BiDiMode:= bdLeftToRight, the button is on the Right, as before. If BiDiMode:= bdRightToLeft, the button is on the Left. Works for both Design-Time and Run-Time.

TCalcEdit
TDateEdit
TDirectoryEdit
TEditButton
TFileNameEdit

My code is marked as

//Avishai's Code
...
// End of Avishai's Code
Tagsbidi, multi-language support
Fixed in Revisionr30594
LazTarget-
Widgetset
Attached Files

Relationships

related to 0019255 closedJuha Manninen Patches Patch for TPanel to correct TPanel.Caption when BiDiMode:= bdRightToLeft. 
related to 0019267 closedJuha Manninen Patches Patch to add BiDiMode and ParentBiDiMode to TFileListBox. 
related to 0019303 acknowledged Lazarus BiDi meta issue 

Activities

2011-04-30 11:20

 

editbtn.zip (6,433 bytes)

Juha Manninen

2011-04-30 13:14

developer   ~0047923

Could you please create a patch instead of copying the whole file.
When using the SVN version, it is just :
$ svn diff > mypatch.diff
or
$ svn diff > mypatch.patch

More details :
 http://wiki.lazarus.freepascal.org/Creating_A_Patch

BTW, do you know why this patch works also at design-time but the earlier TLabel patch does not?
(I haven't really tested the RightToLeft operation myself).

Avishai

2011-04-30 14:27

reporter   ~0047926

Last edited: 2011-04-30 14:34

Thank you for responding. I tried to find SVN.exe on my system and it is missing. I'll see if I can find a place to download it from.

The TLabel issue wasn't a patch. You may be thinking of the patch to TPanel. However, after I made the patch to fix TPanel, it didn't work in design time. But after rebooting this morning, it suddenly started working in design-time as well as run-time.

Juha Manninen

2011-04-30 16:03

developer   ~0047929

Last edited: 2011-04-30 16:10

Yes, sorry, I meant TPanel instead of TLabel.

Do you use Windows? You can create diffs also using TortoiseSVN, "Create patch...".

This may work, too:
 http://sourceforge.net/projects/win32svn/

If you plan to participate in development, in practice you need to use the SVN repository.

Juha Manninen

2011-05-07 12:27

developer   ~0048109

I extracted and applied the changes, although it would have been much easier with a proper patch.
Please test.

Issue History

Date Modified Username Field Change
2011-04-30 11:18 Avishai New Issue
2011-04-30 11:20 Avishai File Added: editbtn.zip
2011-04-30 11:20 Avishai Tag Attached: bidi
2011-04-30 12:56 Avishai Tag Attached: multi-language support
2011-04-30 13:14 Juha Manninen LazTarget => -
2011-04-30 13:14 Juha Manninen Note Added: 0047923
2011-04-30 13:14 Juha Manninen Status new => feedback
2011-04-30 13:44 Juha Manninen Relationship added related to 0019255
2011-04-30 13:45 Juha Manninen Relationship added related to 0019267
2011-04-30 14:27 Avishai Note Added: 0047926
2011-04-30 14:34 Avishai Note Edited: 0047926
2011-04-30 16:03 Juha Manninen Note Added: 0047929
2011-04-30 16:10 Juha Manninen Note Edited: 0047929
2011-05-06 22:12 Juha Manninen Relationship added related to 0019303
2011-05-07 12:27 Juha Manninen Fixed in Revision => r30594
2011-05-07 12:27 Juha Manninen Status feedback => resolved
2011-05-07 12:27 Juha Manninen Resolution open => fixed
2011-05-07 12:27 Juha Manninen Assigned To => Juha Manninen
2011-05-07 12:27 Juha Manninen Note Added: 0048109
2011-10-03 14:09 Avishai Status resolved => closed